  
version: '3'

services:
  app:
    container_name: karname-app
    restart: on-failure
    build:
      context: .
      dockerfile: docker/linux/Dockerfile
    image: 'karname/app:${TAG_VERSION}'
    ports:
      - '80:3000'
    depends_on:
      - mongo
    links: 
      - mongo
    environment:
      ROOT_URL: ${APP_ROOT_URL:-http://localhost}
      MONGO_URL: mongodb://mongo:27017/karname
      PORT: 3000
      METEOR_SETTINGS: '{"worklistUrl":"http://192.168.0.163"}'
  mongo:
    image: repo.marcopacs.com/kelishe/mongo:4.2.0
    command:
      - --storageEngine=wiredTiger
    volumes:
      - data:/data/db

volumes:
  data: